{
    "packages": [
        {
            "name": "cocur/slugify",
            "version": "v4.2.0",
            "version_normalized": "4.2.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/cocur/slugify.git",
                "reference": "7e7d03067d1075b1147090b3e1df672dfffb9dc3"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/cocur/slugify/zipball/7e7d03067d1075b1147090b3e1df672dfffb9dc3",
                "reference": "7e7d03067d1075b1147090b3e1df672dfffb9dc3",
                "shasum": ""
            },
            "require": {
                "ext-mbstring": "*",
                "php": "^7.1 || ~8.0.0 || ~8.1.0"
            },
            "conflict": {
                "symfony/config": "<3.4 || >=4,<4.3",
                "symfony/dependency-injection": "<3.4 || >=4,<4.3",
                "symfony/http-kernel": "<3.4 || >=4,<4.3",
                "twig/twig": "<2.12.1"
            },
            "require-dev": {
                "laravel/framework": "^5.0|^6.0|^7.0|^8.0",
                "latte/latte": "~2.2",
                "league/container": "^2.2.0",
                "mikey179/vfsstream": "~1.6.8",
                "mockery/mockery": "^1.3",
                "nette/di": "~2.4",
                "pimple/pimple": "~1.1",
                "plumphp/plum": "~0.1",
                "symfony/config": "^3.4 || ^4.3 || ^5.0 || ^6.0",
                "symfony/dependency-injection": "^3.4 || ^4.3 || ^5.0 || ^6.0",
                "symfony/http-kernel": "^3.4 || ^4.3 || ^5.0 || ^6.0",
                "symfony/phpunit-bridge": "^5.4 || ^6.0",
                "twig/twig": "^2.12.1 || ~3.0",
                "zendframework/zend-modulemanager": "~2.2",
                "zendframework/zend-servicemanager": "~2.2",
                "zendframework/zend-view": "~2.2"
            },
            "time": "2022-08-13T15:23:32+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Cocur\\Slugify\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Florian Eckerstorfer",
                    "email": "florian@eckerstorfer.co",
                    "homepage": "https://florian.ec"
                },
                {
                    "name": "Ivo Bathke",
                    "email": "ivo.bathke@gmail.com"
                }
            ],
            "description": "Converts a string into a slug.",
            "keywords": [
                "slug",
                "slugify"
            ],
            "support": {
                "issues": "https://github.com/cocur/slugify/issues",
                "source": "https://github.com/cocur/slugify/tree/v4.2.0"
            },
            "install-path": "../cocur/slugify"
        },
        {
            "name": "donatj/phpuseragentparser",
            "version": "dev-master",
            "version_normalized": "dev-master",
            "source": {
                "type": "git",
                "url": "https://github.com/donatj/PhpUserAgent.git",
                "reference": "a35900b93530715f8669c10e49756adde5c8e6fc"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/donatj/PhpUserAgent/zipball/a35900b93530715f8669c10e49756adde5c8e6fc",
                "reference": "a35900b93530715f8669c10e49756adde5c8e6fc",
                "shasum": ""
            },
            "require": {
                "php": ">=5.4.0"
            },
            "require-dev": {
                "camspiers/json-pretty": "~1.0",
                "donatj/drop": "*",
                "ext-json": "*",
                "phpunit/phpunit": "~4.8|~9"
            },
            "time": "2022-08-06T15:41:58+00:00",
            "default-branch": true,
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/UserAgentParser.php"
                ],
                "psr-4": {
                    "donatj\\UserAgent\\": "src/UserAgent"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jesse G. Donat",
                    "email": "donatj@gmail.com",
                    "homepage": "https://donatstudios.com",
                    "role": "Developer"
                }
            ],
            "description": "Lightning fast, minimalist PHP UserAgent string parser.",
            "homepage": "https://donatstudios.com/PHP-Parser-HTTP_USER_AGENT",
            "keywords": [
                "browser",
                "browser detection",
                "parser",
                "user agent",
                "useragent"
            ],
            "support": {
                "issues": "https://github.com/donatj/PhpUserAgent/issues",
                "source": "https://github.com/donatj/PhpUserAgent/tree/v1.7.0"
            },
            "funding": [
                {
                    "url": "https://www.paypal.me/donatj/15",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/donatj",
                    "type": "github"
                }
            ],
            "install-path": "../donatj/phpuseragentparser"
        },
        {
            "name": "erusev/parsedown",
            "version": "1.8.0-beta-7",
            "version_normalized": "1.8.0.0-beta7",
            "source": {
                "type": "git",
                "url": "https://github.com/erusev/parsedown.git",
                "reference": "fe7a50eceb4a3c867cc9fa9c0aa906b1067d1955"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/erusev/parsedown/zipball/fe7a50eceb4a3c867cc9fa9c0aa906b1067d1955",
                "reference": "fe7a50eceb4a3c867cc9fa9c0aa906b1067d1955",
                "shasum": ""
            },
            "require": {
                "ext-mbstring": "*",
                "php": ">=5.3.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^4.8.35"
            },
            "time": "2019-03-17T18:47:21+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "Parsedown": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Emanuil Rusev",
                    "email": "hello@erusev.com",
                    "homepage": "http://erusev.com"
                }
            ],
            "description": "Parser for Markdown.",
            "homepage": "http://parsedown.org",
            "keywords": [
                "markdown",
                "parser"
            ],
            "support": {
                "issues": "https://github.com/erusev/parsedown/issues",
                "source": "https://github.com/erusev/parsedown/tree/1.8.0-beta-7"
            },
            "install-path": "../erusev/parsedown"
        },
        {
            "name": "geshi/geshi",
            "version": "dev-master",
            "version_normalized": "dev-master",
            "source": {
                "type": "git",
                "url": "https://github.com/GeSHi/geshi-1.0.git",
                "reference": "3c12a7931d509c5e3557c5ed44c9a32e9c917c7d"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/GeSHi/geshi-1.0/zipball/3c12a7931d509c5e3557c5ed44c9a32e9c917c7d",
                "reference": "3c12a7931d509c5e3557c5ed44c9a32e9c917c7d",
                "shasum": ""
            },
            "require-dev": {
                "phpunit/phpunit": "^5.7 || ^6.5 || ^7.5 || ^8.2"
            },
            "time": "2020-06-22T15:46:04+00:00",
            "default-branch": true,
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "classmap": [
                    "src/geshi/",
                    "src/geshi.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "GPL-2.0+"
            ],
            "authors": [
                {
                    "name": "Benny Baumann",
                    "email": "BenBE@geshi.org",
                    "homepage": "http://blog.benny-baumann.de/",
                    "role": "Developer"
                }
            ],
            "description": "Generic Syntax Highlighter",
            "homepage": "http://qbnz.com/highlighter/",
            "support": {
                "forum": "https://lists.sourceforge.net/lists/listinfo/geshi-users",
                "irc": "irc://irc.freenode.org/geshi",
                "issues": "https://sourceforge.net/p/geshi/feature-requests/",
                "source": "https://github.com/GeSHi/geshi-1.0/tree/master"
            },
            "install-path": "../geshi/geshi"
        },
        {
            "name": "ipatov/smtp-mail",
            "version": "dev-master",
            "version_normalized": "dev-master",
            "source": {
                "type": "git",
                "url": "https://github.com/Ipatov/SendMailSmtpClass.git",
                "reference": "8c6a83372d924fa5047aafcfcb332eab9b11e6fd"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Ipatov/SendMailSmtpClass/zipball/8c6a83372d924fa5047aafcfcb332eab9b11e6fd",
                "reference": "8c6a83372d924fa5047aafcfcb332eab9b11e6fd",
                "shasum": ""
            },
            "time": "2021-11-21T18:56:06+00:00",
            "default-branch": true,
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "SmtpMail\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ipatov Evgeny",
                    "email": "admin@vk-book.ru",
                    "homepage": "https://vk-book.ru",
                    "role": "Developer"
                }
            ],
            "description": "PHP Class to Send Email using Yandex, Gmail, Mail.ru SMTP",
            "homepage": "https://github.com/Ipatov/SendMailSmtpClass",
            "keywords": [
                "mail",
                "smtp"
            ],
            "support": {
                "issues": "https://github.com/Ipatov/SendMailSmtpClass/issues",
                "source": "https://github.com/Ipatov/SendMailSmtpClass/tree/master"
            },
            "install-path": "../ipatov/smtp-mail"
        },
        {
            "name": "matthiasmullie/minify",
            "version": "dev-master",
            "version_normalized": "dev-master",
            "source": {
                "type": "git",
                "url": "https://github.com/matthiasmullie/minify.git",
                "reference": "a61c949cccd086808063611ef9698eabe42ef22f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/matthiasmullie/minify/zipball/a61c949cccd086808063611ef9698eabe42ef22f",
                "reference": "a61c949cccd086808063611ef9698eabe42ef22f",
                "shasum": ""
            },
            "require": {
                "ext-pcre": "*",
                "matthiasmullie/path-converter": "~1.1",
                "php": ">=5.3.0"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "~2.0",
                "matthiasmullie/scrapbook": "dev-master",
                "phpunit/phpunit": ">=4.8"
            },
            "suggest": {
                "psr/cache-implementation": "Cache implementation to use with Minify::cache"
            },
            "time": "2022-08-01T09:00:18+00:00",
            "default-branch": true,
            "bin": [
                "bin/minifycss",
                "bin/minifyjs"
            ],
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "MatthiasMullie\\Minify\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Matthias Mullie",
                    "email": "minify@mullie.eu",
                    "homepage": "http://www.mullie.eu",
                    "role": "Developer"
                }
            ],
            "description": "CSS & JavaScript minifier, in PHP. Removes whitespace, strips comments, combines files (incl. @import statements and small assets in CSS files), and optimizes/shortens a few common programming patterns.",
            "homepage": "http://www.minifier.org",
            "keywords": [
                "JS",
                "css",
                "javascript",
                "minifier",
                "minify"
            ],
            "support": {
                "issues": "https://github.com/matthiasmullie/minify/issues",
                "source": "https://github.com/matthiasmullie/minify/tree/1.3.69"
            },
            "funding": [
                {
                    "url": "https://github.com/matthiasmullie",
                    "type": "github"
                }
            ],
            "install-path": "../matthiasmullie/minify"
        },
        {
            "name": "matthiasmullie/path-converter",
            "version": "1.1.3",
            "version_normalized": "1.1.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/matthiasmullie/path-converter.git",
                "reference": "e7d13b2c7e2f2268e1424aaed02085518afa02d9"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/matthiasmullie/path-converter/zipball/e7d13b2c7e2f2268e1424aaed02085518afa02d9",
                "reference": "e7d13b2c7e2f2268e1424aaed02085518afa02d9",
                "shasum": ""
            },
            "require": {
                "ext-pcre": "*",
                "php": ">=5.3.0"
            },
            "require-dev": {
                "phpunit/phpunit": "~4.8"
            },
            "time": "2019-02-05T23:41:09+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "MatthiasMullie\\PathConverter\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Matthias Mullie",
                    "email": "pathconverter@mullie.eu",
                    "homepage": "http://www.mullie.eu",
                    "role": "Developer"
                }
            ],
            "description": "Relative path converter",
            "homepage": "http://github.com/matthiasmullie/path-converter",
            "keywords": [
                "converter",
                "path",
                "paths",
                "relative"
            ],
            "support": {
                "issues": "https://github.com/matthiasmullie/path-converter/issues",
                "source": "https://github.com/matthiasmullie/path-converter/tree/1.1.3"
            },
            "install-path": "../matthiasmullie/path-converter"
        },
        {
            "name": "phphleb/debugpan",
            "version": "v1.5",
            "version_normalized": "1.5.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/phphleb/debugpan.git",
                "reference": "f788a45b960d283d9d1119a40535f1f8f31628d1"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/phphleb/debugpan/zipball/f788a45b960d283d9d1119a40535f1f8f31628d1",
                "reference": "f788a45b960d283d9d1119a40535f1f8f31628d1",
                "shasum": ""
            },
            "require": {
                "php": "^7.0.0 || ^8.0.0"
            },
            "time": "2020-12-26T16:11:45+00:00",
            "type": "library",
            "installation-source": "dist",
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Foma Tuturov",
                    "email": "fomiash@yandex.ru"
                }
            ],
            "description": "Debug panel for Micro-Framework HLEB",
            "homepage": "https://phphleb.ru",
            "support": {
                "source": "https://github.com/phphleb/debugpan/tree/v1.5"
            },
            "install-path": "../phphleb/debugpan"
        },
        {
            "name": "phphleb/framework",
            "version": "dev-master",
            "version_normalized": "dev-master",
            "source": {
                "type": "git",
                "url": "https://github.com/phphleb/framework.git",
                "reference": "9ccf75fdc1aa5c292fd002df8f87119aaf058edb"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/phphleb/framework/zipball/9ccf75fdc1aa5c292fd002df8f87119aaf058edb",
                "reference": "9ccf75fdc1aa5c292fd002df8f87119aaf058edb",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "php": ">=7.0.0"
            },
            "time": "2022-08-17T08:23:40+00:00",
            "default-branch": true,
            "type": "library",
            "installation-source": "dist",
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Foma Tuturov",
                    "email": "fomiash@yandex.ru"
                }
            ],
            "description": "Engine for Micro-Framework HLEB",
            "homepage": "https://phphleb.ru",
            "keywords": [
                "framework",
                "hleb",
                "micro-framework",
                "microframework",
                "php",
                "php framework",
                "phphleb"
            ],
            "support": {
                "source": "https://github.com/phphleb/framework/tree/v1.6.69"
            },
            "install-path": "../phphleb/framework"
        },
        {
            "name": "phphleb/imageresizer",
            "version": "dev-master",
            "version_normalized": "dev-master",
            "source": {
                "type": "git",
                "url": "https://github.com/phphleb/imageresizer.git",
                "reference": "84bc75026d03a78c8a9091abd7a10574d898619e"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/phphleb/imageresizer/zipball/84bc75026d03a78c8a9091abd7a10574d898619e",
                "reference": "84bc75026d03a78c8a9091abd7a10574d898619e",
                "shasum": ""
            },
            "require": {
                "ext-gd": "*",
                "php": ">=7.2.0"
            },
            "time": "2022-05-22T07:03:31+00:00",
            "default-branch": true,
            "type": "library",
            "installation-source": "dist",
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Foma Tuturov",
                    "email": "fomiash@yandex.ru"
                }
            ],
            "description": "Custom image resizing",
            "keywords": [
                "format",
                "image",
                "php",
                "resize",
                "resizing"
            ],
            "support": {
                "issues": "https://github.com/phphleb/imageresizer/issues",
                "source": "https://github.com/phphleb/imageresizer/tree/master"
            },
            "install-path": "../phphleb/imageresizer"
        },
        {
            "name": "phphleb/muller",
            "version": "dev-main",
            "version_normalized": "dev-main",
            "source": {
                "type": "git",
                "url": "https://github.com/phphleb/muller.git",
                "reference": "666ac794fb396378f13056cf5f79804849c35f26"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/phphleb/muller/zipball/666ac794fb396378f13056cf5f79804849c35f26",
                "reference": "666ac794fb396378f13056cf5f79804849c35f26",
                "shasum": ""
            },
            "require": {
                "php": ">=7.0.0"
            },
            "time": "2022-04-24T05:19:26+00:00",
            "default-branch": true,
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Phphleb\\Muller\\": "/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Foma Tuturov",
                    "email": "fomiash@yandex.ru"
                }
            ],
            "description": "Mailer for Micro-Framework HLEB",
            "keywords": [
                "Sender",
                "email",
                "mailer"
            ],
            "support": {
                "issues": "https://github.com/phphleb/muller/issues",
                "source": "https://github.com/phphleb/muller/tree/v1.0.2"
            },
            "install-path": "../phphleb/muller"
        },
        {
            "name": "phphleb/radjax",
            "version": "dev-master",
            "version_normalized": "dev-master",
            "source": {
                "type": "git",
                "url": "https://github.com/phphleb/radjax.git",
                "reference": "5a518694a1361f614191c5f9c3211ab62e5df4d7"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/phphleb/radjax/zipball/5a518694a1361f614191c5f9c3211ab62e5df4d7",
                "reference": "5a518694a1361f614191c5f9c3211ab62e5df4d7",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "php": ">=7.0.0"
            },
            "time": "2022-05-23T18:20:28+00:00",
            "default-branch": true,
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Radjax\\": "/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Foma Tuturov",
                    "email": "fomiash@yandex.ru"
                }
            ],
            "description": "Ajax- and API-router for Micro-Framework HLEB",
            "keywords": [
                "ajax",
                "api",
                "router"
            ],
            "support": {
                "source": "https://github.com/phphleb/radjax/tree/master"
            },
            "install-path": "../phphleb/radjax"
        },
        {
            "name": "utopia-php/domains",
            "version": "dev-master",
            "version_normalized": "dev-master",
            "source": {
                "type": "git",
                "url": "https://github.com/utopia-php/domains.git",
                "reference": "fd963e9dfe20916d7b9e758c5dff73c40a2215e3"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/utopia-php/domains/zipball/fd963e9dfe20916d7b9e758c5dff73c40a2215e3",
                "reference": "fd963e9dfe20916d7b9e758c5dff73c40a2215e3",
                "shasum": ""
            },
            "require": {
                "php": ">=7.4"
            },
            "require-dev": {
                "phpunit/phpunit": "^9.3",
                "vimeo/psalm": "4.0.1"
            },
            "time": "2022-08-12T04:00:37+00:00",
            "default-branch": true,
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Utopia\\Domains\\": "src/Domains"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Eldad Fux",
                    "email": "eldad@appwrite.io"
                }
            ],
            "description": "Utopia Domains library is simple and lite library for parsing web domains. This library is aiming to be as simple and easy to learn and use.",
            "keywords": [
                "domains",
                "framework",
                "icann",
                "php",
                "public suffix",
                "tld",
                "tld extract",
                "upf",
                "utopia"
            ],
            "support": {
                "issues": "https://github.com/utopia-php/domains/issues",
                "source": "https://github.com/utopia-php/domains/tree/master"
            },
            "install-path": "../utopia-php/domains"
        }
    ],
    "dev": true,
    "dev-package-names": []
}
